// priority: 0
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded quartz_alloy_casing_block.js)')


// quartz_alloy_machine_casing

StartupEvents.registry('block', event => {
    event.create('quartz_alloy_machine_casing', 'cardinal')
        .displayName('Quartz Alloy Machine Casing')
        .soundType('metal')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/quartz_alloy_machine_casing.json (rotation)
assets/kubejs/models/block/quartz_alloy_machine_casing.json (parent to GT casing + texture keys)
assets/kubejs/models/item/quartz_alloy_machine_casing.json (item uses block model)
assets/kubejs/textures/block/quartz_alloy_casing/{bottom,side,top}.png
*/